<ng-template #content let-modal>
	<div class="modal-header">
		<h4 class="modal-title" id="modal-basic-title">Choose reviewer</h4>
		<button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
	</div>
	<div class="modal-body">
		<form>
      <div class="mb-3">
        <label for="typeahead-users">Search for a user:</label>
        <div *ngIf="users$ | async as users; else loading">
        <app-typeahead [users]="users" (userSelected)="onUserSelect($event)" id="typeahead-users"></app-typeahead>
        </div>
        <ng-template #loading>
          Loading user list
        </ng-template>
      </div>
		</form>
	</div>
	<div class="modal-footer">
		<button type="button" class="btn btn-primary" (click)="modal.dismiss('Cancel click')">Cancel</button>
    <button type="button" class="btn btn-primary" (click)="modal.close('Save click')">Ok</button>
	</div>
</ng-template>

<button class="btn btn-primary  me-3 mb-3" (click)="open(content)">Choose reviewer</button>

